ON_BezierSurface Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h>`

## Public Member Functions

| ON_BezierSurface ()
| ON_BezierSurface (int dim, int is_rat, int order0, int order1)
| ~ON_BezierSurface ()
| ON_BezierSurface (const ON_BezierSurface &)
| ON_BezierSurface (const ON_PolynomialSurface &)
ON_BezierSurface & | operator= (const ON_BezierSurface &)
ON_BezierSurface & | operator= (const ON_PolynomialSurface &)
bool | IsValid () const
void | Dump (ON_TextLog &) const
int | Dimension () const
bool | Create (int dim, int is_rat, int order0, int order1)
void | Destroy ()
void | EmergencyDestroy ()
bool | Loft (const ON_ClassArray< ON_BezierCurve > &curve_list)
bool | Loft (int count, const ON_BezierCurve *const *curve_list)
bool | GetBBox (double *, double *, int bGrowBox=false) const
bool | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox) const
ON_BoundingBox | BoundingBox () const
bool | Transform (const ON_Xform &)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
bool | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
bool | Translate (const ON_3dVector &translation_vector)
bool | Scale (double scale_factor)
ON_Interval | Domain (int) const
bool | Reverse (int)
bool | Transpose ()
bool | Evaluate (double, double, int, int, double *) const
ON_3dPoint | PointAt (double s, double t) const
bool | GetNurbForm (ON_NurbsSurface &) const
bool | IsRational () const
int | CVSize () const
int | Order (int) const
int | Degree (int) const
double * | CV (int cv_index0, int cv_index1) const
ON::point_style | CVStyle () const
double | Weight (int, int) const
bool | SetWeight (int, int, double)
bool | SetCV (int, int, ON::point_style, const double *)
bool | SetCV (int, int, const ON_3dPoint &)
bool | SetCV (int, int, const ON_4dPoint &)
bool | GetCV (int, int, ON::point_style, double *) const
bool | GetCV (int, int, ON_3dPoint &) const
bool | GetCV (int, int, ON_4dPoint &) const
bool | ZeroCVs ()
bool | MakeRational ()
bool | MakeNonRational ()
bool | Split (int, double, ON_BezierSurface &, ON_BezierSurface &) const
bool | Trim (int dir, const ON_Interval &domain)
ON_BezierCurve * | IsoCurve (int dir, double c, ON_BezierCurve *iso=NULL) const
bool | IsSingular (int) const
bool | ReserveCVCapacity (int)

## Public Attributes

int | m_dim
int | m_is_rat
int | m_order [2]
int | m_cv_stride [2]
double * | m_cv
int | m_cv_capacity

## Detailed Description

Definition at line 993 of file opennurbs_bezier.h.

## Constructor & Destructor Documentation

## ON_BezierSurface() [1/4]

ON_BezierSurface::ON_BezierSurface | ( |  | ) |

## ON_BezierSurface() [2/4]

ON_BezierSurface::ON_BezierSurface | ( | int | dim,
|  | int | is_rat,
|  | int | order0,
|  | int | order1
| ) |  |

## ~ON_BezierSurface()

ON_BezierSurface::~ON_BezierSurface | ( |  | ) |

## ON_BezierSurface() [3/4]

ON_BezierSurface::ON_BezierSurface | ( | const ON_BezierSurface & |  | ) |

## ON_BezierSurface() [4/4]

ON_BezierSurface::ON_BezierSurface | ( | const ON_PolynomialSurface & |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_BezierSurface::BoundingBox | ( |  | ) | const

## Create()

bool ON_BezierSurface::Create | ( | int | dim,
|  | int | is_rat,
|  | int | order0,
|  | int | order1
| ) |  |

## CV()

double* ON_BezierSurface::CV | ( | int | cv_index0,
|  | int | cv_index1
| ) |  | const

## CVSize()

int ON_BezierSurface::CVSize | ( |  | ) | const

## CVStyle()

ON::point_style ON_BezierSurface::CVStyle | ( |  | ) | const

## Degree()

int ON_BezierSurface::Degree | ( | int |  | ) | const

## Destroy()

void ON_BezierSurface::Destroy | ( |  | ) |

## Dimension()

int ON_BezierSurface::Dimension | ( |  | ) | const

## Domain()

ON_Interval ON_BezierSurface::Domain | ( | int |  | ) | const

## Dump()

void ON_BezierSurface::Dump | ( | ON_TextLog & |  | ) | const

## EmergencyDestroy()

void ON_BezierSurface::EmergencyDestroy | ( |  | ) |

## Evaluate()

bool ON_BezierSurface::Evaluate | ( | double | ,
|  | double | ,
|  | int | ,
|  | int | ,
|  | double * |
| ) |  | const

## GetBBox()

bool ON_BezierSurface::GetBBox | ( | double * | ,
|  | double * | ,
|  | int | bGrowBox = `false`
| ) |  | const

## GetBoundingBox()

bool ON_BezierSurface::GetBoundingBox | ( | ON_BoundingBox & | bbox,
|  | int | bGrowBox
| ) |  | const

## GetCV() [1/3]

bool ON_BezierSurface::GetCV | ( | int | ,
|  | int | ,
|  | ON::point_style | ,
|  | double * |
| ) |  | const

## GetCV() [2/3]

bool ON_BezierSurface::GetCV | ( | int | ,
|  | int | ,
|  | ON_3dPoint & |
| ) |  | const

## GetCV() [3/3]

bool ON_BezierSurface::GetCV | ( | int | ,
|  | int | ,
|  | ON_4dPoint & |
| ) |  | const

## GetNurbForm()

bool ON_BezierSurface::GetNurbForm | ( | ON_NurbsSurface & |  | ) | const

## IsoCurve()

ON_BezierCurve* ON_BezierSurface::IsoCurve | ( | int | dir,
|  | double | c,
|  | ON_BezierCurve * | iso = `NULL`
| ) |  | const

## IsRational()

bool ON_BezierSurface::IsRational | ( |  | ) | const

## IsSingular()

bool ON_BezierSurface::IsSingular | ( | int |  | ) | const

## IsValid()

bool ON_BezierSurface::IsValid | ( |  | ) | const

## Loft() [1/2]

bool ON_BezierSurface::Loft | ( | const ON_ClassArray< ON_BezierCurve > & | curve_list | ) |

## Loft() [2/2]

bool ON_BezierSurface::Loft | ( | int | count,
|  | const ON_BezierCurve *const * | curve_list
| ) |  |

## MakeNonRational()

bool ON_BezierSurface::MakeNonRational | ( |  | ) |

## MakeRational()

bool ON_BezierSurface::MakeRational | ( |  | ) |

## operator=() [1/2]

ON_BezierSurface& ON_BezierSurface::operator= | ( | const ON_BezierSurface & |  | ) |

## operator=() [2/2]

ON_BezierSurface& ON_BezierSurface::operator= | ( | const ON_PolynomialSurface & |  | ) |

## Order()

int ON_BezierSurface::Order | ( | int |  | ) | const

## PointAt()

ON_3dPoint ON_BezierSurface::PointAt | ( | double | s,
|  | double | t
| ) |  | const

## ReserveCVCapacity()

bool ON_BezierSurface::ReserveCVCapacity | ( | int |  | ) |

## Reverse()

bool ON_BezierSurface::Reverse | ( | int |  | ) |

## Rotate() [1/2]

bool ON_BezierSurface::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | rotation_axis,
|  | const ON_3dPoint & | rotation_center
| ) |  |

## Rotate() [2/2]

bool ON_BezierSurface::Rotate | ( | double | rotation_angle,
|  | const ON_3dVector & | rotation_axis,
|  | const ON_3dPoint & | rotation_center
| ) |  |

## Scale()

bool ON_BezierSurface::Scale | ( | double | scale_factor | ) |

## SetCV() [1/3]

bool ON_BezierSurface::SetCV | ( | int | ,
|  | int | ,
|  | ON::point_style | ,
|  | const double * |
| ) |  |

## SetCV() [2/3]

bool ON_BezierSurface::SetCV | ( | int | ,
|  | int | ,
|  | const ON_3dPoint & |
| ) |  |

## SetCV() [3/3]

bool ON_BezierSurface::SetCV | ( | int | ,
|  | int | ,
|  | const ON_4dPoint & |
| ) |  |

## SetWeight()

bool ON_BezierSurface::SetWeight | ( | int | ,
|  | int | ,
|  | double |
| ) |  |

## Split()

bool ON_BezierSurface::Split | ( | int | ,
|  | double | ,
|  | ON_BezierSurface & | ,
|  | ON_BezierSurface & |
| ) |  | const

## Transform()

bool ON_BezierSurface::Transform | ( | const ON_Xform & |  | ) |

## Translate()

bool ON_BezierSurface::Translate | ( | const ON_3dVector & | translation_vector | ) |

## Transpose()

bool ON_BezierSurface::Transpose | ( |  | ) |

## Trim()

bool ON_BezierSurface::Trim | ( | int | dir,
|  | const ON_Interval & | domain
| ) |  |

## Weight()

double ON_BezierSurface::Weight | ( | int | ,
|  | int |
| ) |  | const

## ZeroCVs()

bool ON_BezierSurface::ZeroCVs | ( |  | ) |

## Member Data Documentation

## m_cv

double* ON_BezierSurface::m_cv

Definition at line 1300 of file opennurbs_bezier.h.

## m_cv_capacity

int ON_BezierSurface::m_cv_capacity

Definition at line 1301 of file opennurbs_bezier.h.

## m_cv_stride

int ON_BezierSurface::m_cv_stride[2]

Definition at line 1299 of file opennurbs_bezier.h.

## m_dim

int ON_BezierSurface::m_dim

Definition at line 1296 of file opennurbs_bezier.h.

## m_is_rat

int ON_BezierSurface::m_is_rat

Definition at line 1297 of file opennurbs_bezier.h.

## m_order

int ON_BezierSurface::m_order[2]

Definition at line 1298 of file opennurbs_bezier.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h